## {eac}Doojigger for WordPress  
[![EarthAsylum Consulting](https://img.shields.io/badge/EarthAsylum-Consulting-0?&labelColor=6e9882&color=707070)](https://earthasylum.com/)
[![WordPress](https://img.shields.io/badge/WordPress-Plugins-grey?logo=wordpress&labelColor=blue)](https://wordpress.org/plugins/search/EarthAsylum/)
[![eacDoojigger](https://img.shields.io/badge/Requires-%7Beac%7DDoojigger-da821d)](https://eacDoojigger.earthasylum.com/)

<details><summary>Plugin Header</summary>

Plugin URI:             https://eacDoojigger.earthasylum.com/  
Author:                 [EarthAsylum Consulting](https://www.earthasylum.com)  
Contributors:           [earthasylum](https://github.com/earthasylum),[kevinburkholder](https://profiles.wordpress.org/kevinburkholder)  
License:                EarthAsylum Consulting Proprietary License - {eac}PLv1  
License URI:            https://eacDoojigger.earthasylum.com/end-user-license-agreement/  
Tags:                   plugin development, rapid development, multi-function, security, encryption, debugging, administration, contextual-help, session management, maintenance mode, plugin framework, plugin derivative, plugin extensions, toolkit  
GitHub URI:             https://github.com/EarthAsylum/docs.eacDoojigger/wiki  

</details>

> {eac}Doojigger - A new path to rapid plugin development. A powerful, extensible, multi-function architectural framework and utility plugin for WordPress. {eac}Doojigger streamlines the plugin development process and allows you to create professional-grade plugins in a fraction of the time.

### Links

:package: [Download {eac}Doojigger Extras](https://swregistry.earthasylum.com/software-updates/eacdoojigger-extras.zip)

:open_file_folder: [{eac}Doojigger Wiki: documentation and examples](https://github.com/EarthAsylum/docs.eacDoojigger/wiki)

:green_book: [{eac}Doojigger PHP Reference](https://earthasylum.github.io/docs.eacDoojigger/)

:bookmark_tabs: [{eac}Doojigger Web Site](https://eacdoojigger.earthasylum.com)

### Summary

**{eac}Doojigger** by {EarthAsylum Consulting} is a multi functional and highly extensible WordPress plugin that provides existing extensions covering file access, security, debugging, encryption, session management, maintenance mode, administration tools, and more.

_{eac}Doojigger_ is not only a fully functional plugin, but more so, an architectural development platform (using shared/abstract code) enabling the effortless creation of full featured...

1.  Custom *Derivative* plugins.
    +   Create your own plugin using a robust, efficient, and clean foundation.
2.  Custom {eac}Doojigger *Extensions*.
    +   Add easy-to-code, task-oriented extensions to your plugin or to {eac}Doojigger.
3.  Custom *Extension Plugins*.
    +   Load your custom extensions as their own WordPress plugins.

Rather than updating or customizing themes and functions, it is often best to isolate your custom code in a plugin or plugin extension so that code is not lost when the theme is changed or updated. Themes should only be used and customized with code pertinent to the look and feel of your site. Any code that should be retained after changing a theme belongs in a plugin or plugin extension. This keeps your code reusable and theme independent.

_{eac}Doojigger makes purpose-driven, task-oriented, theme-independent, reliable, and efficient code easy to create and maintain._

---

### See Also

+   [{eac}SoftwareRegistry](https://github.com/EarthAsylum/eacSoftwareRegistry/)
A full-featured Software Registration/Licensing Server built on {eac}Doojigger.

+   [{eac}SimpleSMTP](https://github.com/EarthAsylum/eacSimpleSMTP/)
An {eac}Doojigger extension to configure WordPress wp_mail and phpmailer to use your SMTP (outgoing) mail server when sending email.

+   [{eac}SimpleAWS](https://github.com/EarthAsylum/eacSimpleAWS/)
An {eac}Doojigger extension to include and enable use of the Amazon Web Services (AWS) PHP Software Development Kit (SDK).

+   [{eac}SimpleCDN](https://github.com/EarthAsylum/eacsimpleCDN/)
An {eac}Doojigger extension to enable the use of Content Delivery Network assets on your WordPress site, significantly decreasing your page load times and improving the user experience.

+   [{eac}ObjectCache](https://github.com/EarthAsylum/ObjectCache/)
A light-weight and very efficient drop-in persistent object cache that uses a fast SQLite database to cache WordPress objects.

+   [{eac}Readme](https://github.com/EarthAsylum/eacReadme/)
An {eac}Doojigger extension to translate a WordPress style markdown 'readme.txt' file and provides _shortcodes_ to access header lines, section blocks, or the entire document.

+   [{eac}MetaPixel](https://github.com/EarthAsylum/eacMetaPixel/)
An {eac}Doojigger extension to install the Facebook/Meta Pixel to enable tracking of PageView, ViewContent, AddToCart, InitiateCheckout and Purchase events.


